media_folder: "/public/images"
public_folder: "/images"
publish_mode: editorial_workflow
backend:
  name: git-gateway
  branch: main
collections:
  - name: "blog"
    label: "Blog"
    folder: "src/content/blog"
    create: true
    slug: "{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Date", name: "date", widget: "datetime", date_format: "YYYY-MM-DD", time_format: false }
      - { label: "Author", name: "author", widget: "string", default: "Haapsalu piiskop Damaskinos" }
      - { label: "Video URL", name: "videoUrl", widget: "string", required: false }
      - { label: "Podcast URL", name: "podcastUrl", widget: "string", required: false }
      - { label: "Body", name: "body", widget: "markdown" }
  - name: "calendar"
    label: "Calendar"
    folder: "src/content/calendar"
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Date & Time", name: "date", widget: "datetime" }
      - { label: "Type", name: "type", widget: "select", options: ["service", "event"] }
      - { label: "Description", name: "description", widget: "text", required: false }